<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.00
| Author: Comrade Frankenstein
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once("rss_include.php");

if (file_exists(INFUSIONS."rss_collector_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."rss_collector_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."rss_collector_panel/locale/Russian.php";
}

// Infusion general information
$inf_title = $locale['rss_title'];
$inf_description = $locale['rss_desc'];
$inf_version = "2.0.1";
$inf_developer = "Comrade Frankenstein";
$inf_email = "2084-trn@ukr.net";
$inf_weburl = "http://retromusic.te.ua/";

$inf_folder = "rss_collector_panel"; // The folder in which the infusion resides.

$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "rss_collector_admin.php"; // The admin panel filename if required.

$inf_link_name = "";
$inf_link_url = "";
$inf_link_visibility = "0";

$inf_newtables = 3; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.

$inf_newtable[1] = PREFIX."rss_feeds (
  `rss_feed_id` int(11) NOT NULL auto_increment,
  `rss_feed_name` varchar(250) NOT NULL default '',
  `rss_feed_descr` varchar(250) NOT NULL default '',
  `rss_feed_url` varchar(250) NOT NULL default '',
  `rss_feed_display_count` int(11) unsigned NOT NULL default '0',
  `rss_feed_update` int(11) unsigned NOT NULL default '10800',
  `rss_feed_last_updated` int(11) unsigned NOT NULL default '0',
  `rss_feed_order` int(11) unsigned NOT NULL default '0',
  `rss_feed_codepage` varchar(10) NOT NULL default 'utf-8',
  PRIMARY KEY  (`rss_feed_id`)
) ENGINE=MyISAM";

$inf_newtable_[1] = $inf_newtable[1];

$inf_newtable[2] = PREFIX."rss_items (
  `rss_item_feed` int(11) unsigned NOT NULL default '0',
  `rss_item_number` int(11) unsigned NOT NULL default '0',
  `rss_item_title` varchar(250) NOT NULL default '',
  `rss_item_text` text NOT NULL,
  `rss_item_url` varchar(250) NOT NULL default '',
  `rss_item_datestamp` int(11) NOT NULL default '0'
) ENGINE=MyISAM";

$inf_newtable_[2] = $inf_newtable[2];

$inf_newtable[3] = PREFIX."rss_settings (
  `rss_result_codepage` varchar(10) NOT NULL default 'cp1251',
  `rss_add_to_title` tinyint(3) unsigned NOT NULL default '1'
) ENGINE=MyISAM";

$inf_newtable_[3] = $inf_newtable[3];

$inf_insertdbrow[1] = PREFIX."rss_settings VALUES('cp1251', '1')";

$inf_insertdbrow_[1] = $inf_insertdbrow[1];

$inf_droptable[1] = PREFIX."rss_feeds";

$inf_droptable_[1] = $inf_droptable[1];

$inf_droptable[2] = PREFIX."rss_items";

$inf_droptable_[2] = $inf_droptable[2];

$inf_droptable[3] = PREFIX."rss_settings";

$inf_droptable_[3] = $inf_droptable[3];

$inf_adminpanel[1] = array(
	"title" => $locale['rss_admin1'],
	"image" => "infusion_panel.gif",
	"panel" => "rss_collector_admin.php",
	"rights" => "RCP"
);
?>