<?php
  require_once("../../maincore.php");
  require_once("rss_include.php");

  if (!defined("IN_FUSION") || !iADMIN) {
	header("Location:../../index.php");
	exit;
  };

  if ($version == "7") {
	require_once THEMES."templates/header.php";
  } else {
	require_once BASEDIR."subheader.php";
	require_once BASEDIR."side_left.php";
  };

  if (file_exists(INFUSIONS."rss_collector_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."rss_collector_panel/locale/".$settings['locale'].".php";
  } else {
	include INFUSIONS."rss_collector_panel/locale/Russian.php";
  }

  if (isset($_GET['status'])) {
	opentable($locale['rss_302']);
	echo "<div align='center'><b>".$locale['rss_310']."</b></div>\n";
	closetable();
	tablebreak();
  };

  if (isset($_GET['action']) && $_GET['action'] == "delete") {
    $result = dbquery("delete from ".$db_prefix."rss_feeds where rss_feed_id='".$_GET['feed_id']."'");
    $result = dbquery("delete from ".$db_prefix."rss_items where rss_item_feed='".$_GET['feed_id']."'");
    redirect(FUSION_SELF.$aidlink."&status=dely");
  } else {
	if (isset($_POST['save_feed'])) {
	  $feed_name = stripinput($_POST['feed_name']);
	  $feed_url = stripinput($_POST['feed_url']);
	  $feed_descr = stripinput($_POST['feed_descr']);
	  $feed_update = $_POST['feed_update'];
	  if (!isNum($feed_update) || $feed_update < 600) {
		$feed_update = 600;
	  };
	  $feed_display_count = $_POST['feed_display_count'];
	  if (!isNum($feed_display_count) || $feed_display_count < 0) {
		$feed_display_count = 0;
	  };
	  $feed_codepage = stripinput($_POST['feed_codepage']);
	  if ($_GET['action'] == "edit") {
		$result = dbquery("update ".$db_prefix."rss_feeds set rss_feed_name='$feed_name', rss_feed_url='$feed_url', rss_feed_descr='$feed_descr', rss_feed_update='$feed_update', rss_feed_display_count='$feed_display_count', rss_feed_codepage='$feed_codepage' where rss_feed_id='".$_GET['feed_id']."'");
	  } else {
		$result = dbquery("insert into ".$db_prefix."rss_feeds (rss_feed_name, rss_feed_descr, rss_feed_url, rss_feed_update, rss_feed_display_count, rss_feed_codepage, rss_feed_last_updated, rss_feed_order) values ('$feed_name', '$feed_descr', '$feed_url', '$feed_update', '$feed_display_count', '$feed_codepage', 0, 0)");
	  };
	  redirect(FUSION_SELF."?aid=".iAUTH);
	};
	if (isset($_GET['action']) && $_GET['action'] == "edit") {
	  $result = dbquery("select * from ".$db_prefix."rss_feeds where rss_feed_id='".$_GET['feed_id']."'");
	  if (dbrows($result) == 0) {
		redirect(FUSION_SELF);
		exit;
	  };
	  $data = dbarray($result);
	  $feed_name = $data['rss_feed_name'];
	  $feed_url = $data['rss_feed_url'];
	  $feed_descr = $data['rss_feed_descr'];
	  $feed_update = $data['rss_feed_update'];
	  $feed_display_count = $data['rss_feed_display_count'];
	  $feed_codepage = $data['rss_feed_codepage'];
	  $formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;feed_id=".$data['rss_feed_id'];
	  opentable($locale['rss_301']);
	} else {
	  $feed_name = "";
	  $feed_url = "";
	  $feed_descr = "";
	  $feed_update = 10800;
	  $feed_display_count = 0;
	  $feed_codepage = "utf-8";
	  $formaction = FUSION_SELF.$aidlink;
	  opentable($locale['rss_300']);
	};
	echo "<form name='rss_feed_form' method='post' action='$formaction'>
      <table align='center' cellpadding='0' cellspacing='0' width='400'>
      <tr>
      <td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rss_330']."</td>
      <td class='tbl'><input type='text' name='feed_name' value='$feed_name' class='textbox' style='width:250px;'></td>
      </tr>
      <tr>
      <td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rss_331']."</td>
      <td class='tbl'><input type='text' name='feed_url' value='$feed_url' class='textbox' style='width:250px;'></td>
      </tr>
      <tr>
      <td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rss_332']."</td>
      <td class='tbl'><input type='text' name='feed_descr' value='$feed_descr' class='textbox' style='width:250px;'></td>
      </tr>
      <tr>
      <td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rss_333']."</td>
      <td class='tbl'><input type='text' name='feed_update' value='$feed_update' class='textbox' style='width:75px;'></td>
      </tr>
      <tr>
      <td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rss_334']."</td>
      <td class='tbl'><input type='text' name='feed_display_count' value='$feed_display_count' class='textbox' style='width:75px;'></td>
      </tr>
      <tr>
      <td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rss_335']."</td>
      <td class='tbl'>
      <select name='feed_codepage' class='textbox' style='width:125px;'>
      <option value='utf-8'".($feed_codepage == "utf-8" ? " selected" : "").">utf-8</option>
      <option value='cp1251'".($feed_codepage == "cp1251" ? " selected" : "").">cp1251</option>
      <option value='koi8-r'".($feed_codepage == "koi8-r" ? " selected" : "").">koi8-r</option>
      <option value='cp866'".($feed_codepage == "cp866" ? " selected" : "").">cp866</option>
      </select>
      </td>
      </tr>
      <tr>
      <td align='center' colspan='2' class='tbl'>
      <input type='submit' name='save_feed' value='".$locale['rss_323']."' class='button'></td>
      </tr>
      </table>
      </form>\n";

    echo "<p align='center'><a href='rss_settings.php".$aidlink."'>".$locale['rss_324']."</a></p>";

	closetable();

	tablebreak();

	opentable($locale['rss_303']);
	echo "<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'>\n";
    $result = dbquery("select rss_feed_id, rss_feed_name, rss_feed_codepage from ".$db_prefix."rss_feeds order by rss_feed_order");
	if (dbrows($result) != 0) {
	  $i = 0;
	  echo "<tr>
        <td class='tbl2'>".$locale['rss_330']."</td>
        <td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['rss_320']."</td>
        </tr>\n";
      while ($data = dbarray($result)) {
	    $cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
	    echo "<tr>
          <td class='$cell_color'>";
		  echo $data['rss_feed_name']." (".$data['rss_feed_codepage'].")
          </td>
          <td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;feed_id=".$data['rss_feed_id']."'>".$locale['rss_321']."</a> -
          <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;feed_id=".$data['rss_feed_id']."'>".$locale['rss_322']."</a></td>
          </tr>\n";
		$i++;
	  };
      echo "</table>\n";
	} else {
	  echo "<tr><td align='center' class='tbl1'>".$locale['rss_311']."</td></tr>\n</table>\n";
	};
	closetable();
  };

  if ($version == "7") {
	require_once THEMES."templates/footer.php";
  } else {
	require_once BASEDIR."side_right.php";
	require_once BASEDIR."footer.php";
  };
?>