<?php
  require_once "../../maincore.php";
  require_once "rss_include.php";

  if ($version == "7") {
	require_once THEMES."templates/header.php";
  } else {
	require_once BASEDIR."subheader.php";
	require_once BASEDIR."side_left.php";
  };

  if (!isset($_GET['feed_id']) || !isNum($_GET['feed_id'])) {
	redirect("../../index.php");
	exit;
  };

  if (file_exists(INFUSIONS."rss_collector_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."rss_collector_panel/locale/".$settings['locale'].".php";
  } else {
	include INFUSIONS."rss_collector_panel/locale/Russian.php";
  }

  $feed_id = $_GET['feed_id'];

  if (dbcount("(*)", $prefix."rss_feeds", "rss_feed_id=".$feed_id) == 0) {
	redirect("../../index.php");
	exit;
  };

  $result = dbquery("select rss_feed_name from ".$db_prefix."rss_feeds where rss_feed_id=".$feed_id);
  $data = dbarray($result);
  $feed_name = $data['rss_feed_name'];

  $rcp_settings = dbarray(dbquery("select * from ".$db_prefix."rss_settings"));

  if ($rcp_settings['rss_add_to_title'] == 1 && $version == "7") add_to_title(" :: ".$locale['rss_200']." - ".stripslashes($feed_name));

  opentable($locale['rss_200']." - ".$feed_name);

  $result=dbquery("select * from ".$db_prefix."rss_items where rss_item_feed=".$feed_id." order by rss_item_datestamp desc");
  if (dbrows($result) == 0) {
	echo "<p align='center'>".$locale['rss_201']."</p>";
  } else {
    while ($data = dbarray($result)) {
	  echo "<p align='left'><b>".date("d.m.Y G:i:s", $data['rss_item_datestamp'])."</b></p>";
	  echo "<p align='center'><a href='".$data['rss_item_url']."' target='_blank'>".stripslashes($data['rss_item_title'])."</a></p>";
	  echo "<p>".trimlink(strip_tags(html_entity_decode(stripslashes($data['rss_item_text']))), 250)."</p>";
	};
  };

  closetable();

  if ($version == "7") {
	require_once THEMES."templates/footer.php";
  } else {
	require_once BASEDIR."side_right.php";
	require_once BASEDIR."footer.php";
  };
?>