<?php
  require_once "../../maincore.php";
  require_once("rss_include.php");
  if ($version == "7") {
	require_once THEMES."templates/header.php";
  } else {
	require_once BASEDIR."subheader.php";
	require_once BASEDIR."side_left.php";
  };

  if (file_exists(INFUSIONS."rss_collector_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."rss_collector_panel/locale/".$settings['locale'].".php";
  } else {
	include INFUSIONS."rss_collector_panel/locale/Russian.php";
  }

//  if (!checkrights("RCP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }
  if (!defined("IN_FUSION") || !iADMIN) {
	header("Location:../../index.php");
	exit;
  };

  if (isset($_POST['savesettings'])) {
	$error = 0;
	$result = dbquery("update ".$db_prefix."rss_settings set
	  rss_result_codepage='".stripinput($_POST['rss_result_codepage'])."',
	  rss_add_to_title='".(isnum($_POST['rss_add_to_title']) ? $_POST['rss_add_to_title'] : "1")."'
	");
	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
  }

  $rcp_settings = dbarray(dbquery("select * from ".$db_prefix."rss_settings"));

  opentable($locale['rss_350']);
  echo "<form name='rcpsettingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
  echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rss_351']."</td>\n";
  echo "<td class='tbl'>
    <select name='rss_result_codepage' class='textbox' style='width:125px;'>
      <option value='utf-8'".($rcp_settings['rss_result_codepage'] == "utf-8" ? " selected" : "").">utf-8</option>
      <option value='cp1251'".($rcp_settings['rss_result_codepage'] == "cp1251" ? " selected" : "").">cp1251</option>
      <option value='koi8-r'".($rcp_settings['rss_result_codepage'] == "koi8-r" ? " selected" : "").">koi8-r</option>
      <option value='cp866'".($rcp_settings['rss_result_codepage'] == "cp866" ? " selected" : "").">cp866</option>
      </select>
    </td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rss_352']."</td>\n";
  echo "<td class='tbl'>
    <select name='rss_add_to_title' class='textbox'>\n
    <option value='1'".($rcp_settings['rss_add_to_title'] == "1" ? " selected='selected'" : "").">".$locale['rss_353']."</option>\n
    <option value='0'".($rcp_settings['rss_add_to_title'] == "0" ? " selected='selected'" : "").">".$locale['rss_354']."</option>\n
    </select></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td align='center' colspan='2' class='tbl'><br />\n";
  echo "<input type='submit' name='savesettings' value='".$locale['rss_323']."' class='button' /></td>\n";
  echo "</tr>\n</table>\n</form>\n";
  echo "<p align='center'><a href='rss_collector_admin.php".$aidlink."'>".$locale['rss_355']."</a></p>";

  closetable();

  if ($version == "7") {
	require_once THEMES."templates/footer.php";
  } else {
	require_once BASEDIR."side_right.php";
	require_once BASEDIR."footer.php";
  };
?>
